<cfinclude template = '../queries/qryCategories.cfm'>

  <script language="Javascript"> 
   function PopupPic(sPicURL) { 
     window.open( "image-window.html?"+sPicURL, "",  
     "resizable=1,HEIGHT=200,WIDTH=200"); 
   } 
   </script> 

<cfif qryCategories.recordcount IS 0>
<p align="center"><b>You do not have any categories defined!  You must define categories first.</b></p>
<cfabort>
</cfif>

<cfif NOT isdefined('Session.SortOption')>
<cflock scope="Session" type="Exclusive" timeout="10">
<cfset session.sortoption = 'Featured'>
</cflock>
</cfif>

<cfif isdefined('form.SortProducts')>
<cflock scope="Session" type="Exclusive" timeout="10">  
<cfset session.sortoption = '#form.SortProducts#'>
<cfset session.start = "1">
</cflock>
</cfif>

<cfif isdefined('url.sortoption')>
<cflock scope="Session" type="Exclusive" timeout="10">
<cfset session.sortoption = '#url.sortoption#'>
</cflock>
</cfif>
<p>

<cflock scope="Session" type="Readonly" timeout="10">
<cfset TempVar.SortOption = #session.SortOption#>
</cflock>

<cfinclude template = "../queries/qryProducts.cfm">
  <!---Display the sort drop down--->
</p>
<table width="100%" border="0" cellspacing="0" cellpadding="3">
  <tr>
    <td width="53%">
	<form method="POST" action="doProductManager.cfm">
        Category: 
        <select name="SortProducts">
			<option value = "Inactive" <cfif #TempVar.sortoption# IS 'Inactive'>SELECTED</cfif>>Inactive Items Only</option>
			<option value = "All" <cfif #TempVar.sortoption# IS 'All'>SELECTED</cfif>>All Products</option>
			<cfoutput query = "qryCategories">
				<option value="#qryCategories.CategoryID#">#CategoryName#</option>
			</cfoutput>
    </select>
<input type="submit" value="Submit" name="B1"></p>
        <a name="TheProductsTop"></a>
</form>
	</td>
    <td width="47%"></td>
  </tr>
</table>

<!---This code below builds a query of products that match the selected category--->
<cfset LItemID = "">
<cfset LProductID = "">
<cfset LProductName = "">
<cfset LPrice = "">
<cfset LThumbNail = "">
<cfset LImageURL = "">
<cfset LBriefDescription = "">

<cfset ProductQuery = QueryNew("")>

<!---These parameters are for the paginating feature--->
<cfif NOT ISDEFINED('session.Start')>
<cflock scope="Session" type="Exclusive" timeout="10"> 
<cfset session.start="1">
</cflock>
</cfif>

<cfif ISDEFINED('url.start')>
<cflock scope="Session" type="Exclusive" timeout="10">  
<cfset session.start ="#url.start#">
</cflock>
</cfif>

<cflock scope="Session" type="ReadOnly" timeout="10">  
<cfset TempVar.Start = #session.Start#>
</cflock>

<!--- Number of records to display on a page --->
<CFPARAM name="disp" default="#CartVar.MaxRecords#">

<cfoutput query = "qryProducts">


<!---Get the category list for this product and loop over the list.  If the list contains
the selected category, add it to the query of products to display--->
<cfset CategoryList = '#Category#'>
  <cfloop index="Mycount" From="1" To="#ListLen(CategoryList)#">
    
    
<cfset ThisCategory = "#ListGetAt(CategoryList, mycount)#">

<cfif ThisCategory IS #TempVar.SortOption#>
      
<cfset LItemID = ListAppend(LItemID, "#ItemID#", "^")>
<cfset LProductID = ListAppend(LProductID, "#ProductID#", "^")>
<cfset LProductName = ListAppend(LProductName, "#ProductName#", "^")>
<cfset LPrice = ListAppend(LPrice, "#Price#", "^")>
<cfset LThumbNail = ListAppend(LThumbNail, "#ThumbNail#", "^")>
<cfset LImageURL = ListAppend(LImageURL, "#ImageURL#", "^")>
<cfset LBriefDescription = ListAppend(LBriefDescription, "#BriefDescription#", "^")>
</cfif>
</cfloop>
</cfoutput>

<cfset AItemID = ListToArray(LItemID, "^")>
<cfset AProductID = ListToArray(LProductID, "^")>
<cfset AProductName = ListToArray(LProductName, "^")>
<cfset APrice = ListToArray(LPrice, "^")>
<cfset AThumbNail = ListToArray(LThumbNail, "^")>
<cfset AImageURL = ListToArray(LImageURL, "^")>
<cfset ABriefDescription = ListToArray(LBriefDescription, "^")>

<!---Now create a query based on the list values above--->
<cfset nColumnNumber1 = QueryAddColumn(ProductQuery, "ItemID", AItemID)>
<cfset nColumnNumber2 = QueryAddColumn(ProductQuery, "ProductID", AProductID)>
<cfset nColumnNumber3 = QueryAddColumn(ProductQuery, "ProductName", AProductName)>
<cfset nColumnNumber4 = QueryAddColumn(ProductQuery, "Price", APrice)>
<cfset nColumnNumber5 = QueryAddColumn(ProductQuery, "ThumbNail", AThumbNail)>
<cfset nColumnNumber6 = QueryAddColumn(ProductQuery, "BriefDescription", ABriefDescription)>
<cfset nColumnNumber7 = QueryAddColumn(ProductQuery, "ImageURL", AImageURL)>

<table width="100%" border="0" cellspacing="0" cellpadding="4">
  <tr bgcolor="#3366CC"> 
    <td width="20%"><div align="center"><strong> <font color="#FFFFFF">Found In</font></strong></div></td>
    <td width="10%"> <p align="center"><strong> <font color="#FFFFFF">Image</font></strong></td>
    <td width="20%"> <div align="left"><b><a href="doProductManager.cfm?OrderBy=ProductID"><font color="#FFFFFF">Product 
        ID</font></a> </b> </div></td>
    <td width="20%"> <strong><a href="doProductManager.cfm?OrderBy=ProductName"><font color="#FFFFFF">Product 
      Name</font></a></strong></td>
    <td width="10%"><div align="center"> <font color="#FFFFFF"><strong>Price</strong></font></div></td>
    <td width="10%"><div align="center"> <font color="#FFFFFF"><strong>Delete</strong></font></div></td>
  </tr>
  <cfset RowCount = 0>
  <cfif TempVar.sortoption IS 'Featured' OR TempVar.sortoption IS 'OutofStock' OR TempVar.sortoption IS 'All' OR TempVar.sortoption IS 'Inactive'>
    <!---Set up variables for paginating--->
    <CFSET end=TempVar.Start + disp>
    <CFIF TempVar.Start + disp GREATER THAN qryProducts.RecordCount>
      
      
      <CFSET end=999>
      <CFELSE>
      <CFSET end=disp>
    </CFIF>
    <cfoutput query = "qryProducts" startRow="#TempVar.Start#" MaxRows="#End#"> 
      <cfif RowCount IS 0>
        <tr> 
      <cfelse>
        <tr bgcolor="E5E5E5">
	  </cfif> 
          <td width="20%">           
           <select size="1" name="select">
		   	 <cfif #category# IS '0'><option>Inactive</option></cfif>
              <cfloop index="MyCount" from="1" to="#ListLen(Category)#">
                <cfset ThisCategory = "#ListGetAt(Category, MyCount)#">
                <cfloop query="qryCategories">
                  <cfif #CategoryID# IS #thisCategory#>
                    <option <cfif ThisCategory IS '#session.sortoption#'>SELECTED</cfif>>#CategoryName#</option>
                  </cfif>
                </cfloop>
              </cfloop>
			  </select>
			<a name="#ItemID#" id="#ItemID#"></a></td>
          <td width="10%"> 
            <p align="center"> 
              <cfif NOT #Thumbnail# IS 'SMNoPic.jpg'>
                <a href="javascript:PopupPic('#CartVar.PhotoPath#/#ImageURL#')"><img src = "#CartVar.PhotoPath##thumbnail#" alt="Click to view" width="42" border="0"></a> 
              </cfif>
              <cfif #Thumbnail# IS 'SMNoPic.jpg'>
                No Photo<br></a>
                
              </cfif>
          </td>
          <td width="20%"> <div align="left"><a href="doProductManager.cfm?action=edit&ItemID=#ItemID#">#productid#</a> </div></td>
          <td width="20%"><a href="doProductManager.cfm?action=edit&ItemID=#ItemID#">#ProductName#</a></td>
          <td width="10%"><div align="center">#dollarformat(Price)#</div></td>
          <td width="10%"><div align="center"><a href="doProductManager.cfm?action=Delete&DeleteID=#ItemID#"><img src="icons/Delete_MiniIcon.gif" alt="Delete" width="24" height="21" border="0"></a></div></td>
        </tr>
      <cfif RowCount IS 1>
      </cfif>
      <cfset RowCount=RowCount + 1>
      <cfif Rowcount GREATER THAN 1>            
        <cfset RowCount = 0>
      </cfif>
    </cfoutput> 
  </cfif>
  <cfif NOT TempVar.SortOption IS 'Featured' AND NOT TempVar.SortOption IS 'OutofStock' AND NOT TempVar.SortOption IS 'All' AND NOT TempVar.SortOption IS 'Inactive'>
    <cfif NOT ProductQuery.RecordCount IS 0>
      <!---Set up variables for paginating--->
      <CFSET end=TempVar.Start + disp>
      <CFIF TempVar.Start + disp GREATER THAN ProductQuery.RecordCount>
        
        
        <CFSET end=999>
        <CFELSE>
        <CFSET end=TempVar.Start + disp>
      </CFIF>
      <cfloop query = "ProductQuery" startrow="#TempVar.Start#" endrow="#end#">
        <cfquery name = "GetCategories" datasource="#request.dsn#">
        SELECT * FROM Products WHERE ItemID = #ItemID# 
        </cfquery>
     <cfif RowCount IS 0>
        <tr> 
      <cfelse>
        <tr bgcolor="E5E5E5"> 
  	  </cfif>
            <td width="20%"> 
 			<cfoutput query = "GetCategories">
          <select size="1" name="select">
		  <cfif #category# IS '0'><option>Inactive</option></cfif>
              <cfloop index="MyCount" from="1" to="#ListLen(Category)#">
                <cfset ThisCategory = "#ListGetAt(Category, MyCount)#">
                <cfloop query="qryCategories">
                  <cfif #CategoryID# IS #thisCategory#>
                    <option <cfif ThisCategory IS '#session.sortoption#'>SELECTED</cfif>>#CategoryName#</option>
                  </cfif>
                </cfloop>
              </cfloop>
			  </select>
			  <a name="#ItemID#" id="#ItemID#"></a> 
			</cfoutput>
				<cfoutput>
                <a name="#ItemID#" id="#ItemID#"></a> 
				</cfoutput>
				</td>
            <cfoutput> 
              <td width="10%"> <p align="center"> 
                  <cfif NOT #Thumbnail# IS 'SMNoPic.jpg'>
                     <a href="javascript:PopupPic('#CartVar.PhotoPath#/#ImageURL#')"><img src = "#CartVar.PhotoPath##thumbnail#" alt="Click to view" width="42" border='0'></a> 
                  </cfif>
                  <cfif #Thumbnail# IS 'SMNoPic.jpg'>
                    No Photo<br></a>
                    
                  </cfif>
              </td>
              <td width="20%"> <div align="left"><a href="doProductManager.cfm?action=edit&ItemID=#ItemID#">#productid#</a></div></td>
              <td width="20%"><a href="doProductManager.cfm?action=edit&ItemID=#ItemID#">#ProductName#</a></td>
              <td width="10%"><div align="center">#dollarformat(Price)#</div></td>
              <td width="10%"><div align="center"><a href="doProductManager.cfm?action=Delete&DeleteID=#ItemID#"><img src="icons/Delete_MiniIcon.gif" alt="Delete" width="24" height="21" border="0"></a></div></td>
            </cfoutput> </tr>
        <cfif RowCount IS 1>
        </cfif>
        <cfset RowCount=RowCount + 1>
        <cfif Rowcount GREATER THAN 1>         
          
          <cfset RowCount = 0>
        </cfif>
      </cfloop>
    </cfif>
  </cfif>
</table>
<cfif NOT TempVar.SortOption IS 'Featured' OR NOT TempVar.SortOption IS 'OutofStock' OR NOT TempVar.SortOption IS 'All' OR NOT TempVar.SortOption IS 'Inactive'>
<cfif NOT ProductQuery.RecordCount IS 0>
<CFOUTPUT>
<br>
<table border="0" align="center" cellpadding="10">
<tr>
<!--- Display prev link --->
<CFIF TempVar.Start NOT EQUAL 1>
            <CFIF TempVar.Start GTE disp>
              
              
    <CFSET prev=disp>
    <CFSET prevrec=TempVar.Start - disp>
  <CFELSE>
    <CFSET prev=TempVar.Start - 1>
    <CFSET prevrec=1>
  </CFIF>
  <td><font face="wingdings"></font> 
  <a href="doProductManager.cfm?SortOption=#TempVar.SortOption#&start=#prevrec#">Previous #prev#</a></td>

</CFIF>
<!---Display the page numbers--->
<cfif disp LT ProductQuery.RecordCount + 1>
<cfset PageCount = 1>
<td><cfloop Index="Pages" FROM="1" TO="#ProductQuery.RecordCount#" Step="#disp#">
<a href = "doProductManager.cfm?SortOption=#TempVar.SortOption#&start=#Pages#">#PageCount#</a>&nbsp;&nbsp;
<cfset PageCount = PageCount + 1>
</cfloop>
</td>
</cfif>

<!--- Display next link --->
<CFIF end LT ProductQuery.RecordCount>
            <CFIF TempVar.Start + disp * 2 GTE ProductQuery.RecordCount>
              
              
    <CFSET next=ProductQuery.RecordCount - TempVar.Start - disp + 1>
  <CFELSE>
    <CFSET next=disp>
  </CFIF>
  <td><a href="doProductManager.cfm?SortOption=#TempVar.SortOption#&start=#Evaluate("TempVar.Start + disp")#">
  Next #next#</a> <font face="wingdings"></font></td>
</cfif>
</table>
</CFOUTPUT>	
</cfif>

<cfif TempVar.SortOption IS 'Featured' OR TempVar.SortOption IS 'OutofStock' OR TempVar.SortOption IS 'All' OR TempVar.SortOption IS 'Inactive'>
<CFOUTPUT>
<br>
<table border="0" align="center" cellpadding="10">
<tr>
<!--- Display prev link --->
<CFIF TempVar.Start NOT EQUAL 1>
            <CFIF TempVar.Start GTE disp>
              
              
    <CFSET prev=disp>
    <CFSET prevrec=TempVar.Start - disp>
  <CFELSE>
    <CFSET prev=TempVar.Start - 1>
    <CFSET prevrec=1>
  </CFIF>
  <td><font face="wingdings"></font> 
  <a href="doProductManager.cfm?SortOption=#TempVar.SortOption#&start=#prevrec#">Previous #prev#</a></td>

</CFIF>
<!---Display the page numbers--->
<cfif disp LT qryProducts.RecordCount + 1>
<cfset PageCount = 1>
<td><cfloop Index="Pages" FROM="1" TO="#qryProducts.RecordCount#" Step="#disp#">
<a href = "doProductManager.cfm?SortOption=#TempVar.SortOption#&start=#Pages#">#PageCount#</a>&nbsp;&nbsp;
<cfset PageCount = PageCount + 1>
</cfloop>
</td>
</cfif>

<!--- Display next link --->
<CFIF end LT qryProducts.RecordCount>
            <CFIF TempVar.Start + disp * 2 GTE qryProducts.RecordCount>
              <CFSET next=qryProducts.RecordCount - TempVar.Start - disp + 1>
  <CFELSE>
    <CFSET next=disp>
  </CFIF>
  <td><a href="doProductManager.cfm?SortOption=#TempVar.SortOption#&start=#Evaluate("TempVar.Start + disp")#">
  Next #next#</a> <font face="wingdings"></font></td>
</cfif>
</table>
</CFOUTPUT>
</cfif>	
</cfif>

<p align="center"><a href="#TheProductsTop">Back to Top</a></p>
<p align="center">* The drop down shows all the categories it belongs to. You 
  can assign a product to multiple categories.</p>

