<!---Generates a unique order number if one wasn't already created for this session--->
<cfif NOT ISDEFINED('session.CustomerOrderNumber')>

<!---Create a random number--->
<CFSET randomnum=RAND()*99>
<cfset randomnum=#Round(Randomnum)#>

<!---Generate the first part of the order based on the date and time--->
<cfset TempDate = Now()>
<cfset NewOrderNumber = #DateFormat(TempDate, "mm")# & #DateFormat(TempDate, "dd")# & #DateFormat(TempDate, "yy")# & #TimeFormat(TempDate, "HH")# & #TimeFormat(TempDate, "mm")# & #Timeformat(TempDate, "ss")# & #randomnum#>

<cfset Cart.CustomerOrderNumber = #NewOrderNumber#>
<cflock scope="Session" type="Exclusive" Timeout="10">
<cfset session.CustomerOrderNumber = #NewOrderNumber#>
</cflock>
</cfif>

<cfif ISDEFINED('session.CustomerOrderNumber')>
<cflock scope="Session" type="ReadOnly" Timeout="10">
<cfset Cart.CustomerOrderNumber = #session.CustomerOrderNumber#>
</cflock>
</cfif>