<cfinclude template = "../queries/qryCategories.cfm">

<h3>Adding a Product</h3>
<cfform method="POST" action="doProductManager.cfm" enctype="multipart/form-data">
      
  <table border="0" width="100%">
    <tr> 
      <td width="34%" align="right">Product ID:</td>
      <td width="66%"> <cfinput type="text" name="NewProductID" size="20" required="yes" Message="You must provide a unique Product ID for this item">
        (Should be unique)</td>
    </tr>
    <tr> 
      <td width="34%" align="right">Product Name:</td>
      <td width="66%"> <cfinput type="text" name="NewProductName" size="33" required="yes" Message="You must provide a name for this item!"> 
      </td>
    </tr>
    <tr> 
      <td width="34%" align="right">Price:</td>
      <td width="66%"> <cfinput type="text" name="NewPrice" size="13" required="yes" Message="You must supply a price for this item.  If the price is based on options selected, then enter 0.00.">
        each <strong>(DO NOT USE A SYMBOL)</strong></td>
    </tr>
    <tr> 
      <td><div align="right">Enter a Brief Description:</div></td>
      <td> <input name="BriefDescription" type="text" id="BriefDescription" size="50"> 
      </td>
    </tr>
    <tr> 
      <td valign="top"> <div align="right">Category:<br>
          (Tip:&nbsp; You can select more than one by holding down the CTRL Key 
          and selecting with your mouse button)</div></td>
      <td valign="top"> <cfselect name="Category" id="Category" size="10" multiple required="yes" Message="You must place this product in at least one category!">
          <cfloop query = 'qryCategories'>
		    <cfoutput>
            <option value="#qryCategories.CategoryID#">#qryCategories.CategoryName#</option>
			</cfoutput>
          </cfloop>
        </cfselect></td>
    </tr>
       <tr> 
        <td><div align="right">Cost to ship this item:</div></td>
        <td><cfinput name="ShippingCosts" type="text" size="7" Required="yes" Message="You supply a shipping cost for this item.">
          each (Number only. No symbols)</td>
      </tr>
    <tr> 
      <td> <p align="right">Product Image (optional)<br>
          You may upload this later</td>
      <td> <INPUT NAME = "FileContents" Type = "file" size = "26"> </td>
    </tr>
    <tr> 
      <td height="37"><div align="right"> 
          <p>Product Thumbnail (optional)<br>
            You may upload this later</p>
        </div></td>
      <td><INPUT NAME = "ThumbFileContents" Type = "file" id="ThumbFileContents" size = "26"></td>
    </tr>
    <tr> 
      <td> <p align="right">Show Quantity Field?</td>
      <td><select name="ShowQuantity">
          <option SELECTED>Yes</option>
          <option>No</option>
        </select></td>
    </tr>
    <tr valign="top"> 
      <td colspan="2"> <p><strong>Product Details:</strong></p>
        <p> 
          <center>
            <textarea cols="75" rows="25" Name="Details"></textarea>
          </center>
        </p></p>
        </td>
    </tr>
    <tr> 
      <td colspan="2"> <p align="center"> 
          <input type="hidden" name="Action" value = "Add">
          <input type="submit" value="Add Item" name="B1">
      </td>
    </tr>
  </table>
</cfform>

<script language="JavaScript1.2" defer>
editor_generate('Details');
</script>